RUAL Documentation

PUT /users/password

Update the current user's password

Update the current user's password
Key Type Example Description
authorization required string
"Bearer access_token"
Access token
Key Type Example Description
current required string
"example-string"
Current password
new required string
"example-string"
New password
{ "_meta": { "guid": "example-string", "entity": 42, "created": 42, "modified": 42, "updated": 42 }, "username": "example-string", "email": "user@example.com", "firstname": "example-string", "lastname": "example-string", "last_activity": 42, "timezone": "example-string", "language": "example-string" }
{ "error": "ERROR_KEY" }
Permission Description
Bearer token Access token required via Authorization header, x-authtoken, x-token, query param, or cookie
users_update_me Required scope: users_update_me

Back to Users Return to the Users category to view other endpoints All API Categories Browse all available API categories